Subject: B19.1: problem with alien gdb and signals
From: [email-masked] (Curtis Galloway)

23 Apr 1998 23:04:01 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

I'm using the version of GDB that comes with Apple's OpenStep distribution. 
Under b18, it worked well.  Under b19, when I use Ctrl-C to interrupt the
program being debugged, gdb quits immediately as well.

Anyone have any clues as to why this could be happening?  I did make one
change in winsup/execeptions.cc, but I don't think it would affect this. 
(I've included the diff below -- it solves the problem of having the "End
task" dialog panel appear for each cygwin process window that's open when you
shut down the computer.)

--Curtis

*** b19/src/winsup/exceptions.cc.00     Sun Feb 22 19:29:00 1998
--- b19/src/winsup/exceptions.cc        Fri Apr  3 16:39:32 1998
***************
*** 745,751 ****
        sig = SIGHUP;
        break;
      case CTRL_LOGOFF_EVENT:
!       return 1;
        break;
      case CTRL_SHUTDOWN_EVENT:
        sig = SIGHUP;
--- 745,751 ----
        sig = SIGHUP;
        break;
      case CTRL_LOGOFF_EVENT:
!       return 0;
        break;
      case CTRL_SHUTDOWN_EVENT:
        sig = SIGHUP;
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".